Bug 9760 - Incorrect parsing of SMB2 command codes
Incorrect parsing of SMB2 command codes
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-02 16:54 UTC by Jeremy Allison
Modified: 2013-04-08 07:40 UTC (History)
0 users

See Also:


Attachments
git-am fix for 4.0.next that went into master. (2.67 KB, patch)
2013-04-02 16:54 UTC, Jeremy Allison
rsharpe: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2013-04-02 16:54:04 UTC
Created attachment 8710 [details]
git-am fix for 4.0.next that went into master.

SMB2 opcodes are 16-bit values. We should *never*
be reading them with IVAL(inhdr, SMB2_HDR_OPCODE),
it shoud always be SVAL(inhdr, SMB2_HDR_OPCODE).

Patch for 4.0.next follows.

Jeremy.
Comment 1 Jeremy Allison 2013-04-02 16:58:38 UTC
Code already reviewed by Jeremy + Richard Sharpe. Re-assigning to Karolin for inclusion in 4.0.next (asking richard to +1 just to follow procedure).

Jeremy.
Comment 2 Karolin Seeger 2013-04-07 19:53:13 UTC
Pushed to autobuild-v4-0-test.
Comment 3 Karolin Seeger 2013-04-08 07:40:41 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!